<?php
/**
 * Erstellen und Herunterladen eines Backups.
 * Konfiguration anhand eines Backups wiederherstellen.
 * 
 * @author Miguel Palmer <mp@beronet.com>
 */
class BackupRestore {
	/**
	 * Erstellt die Backup and Restore Seite
	 * @return string HTML Inhalt
	 */
	function display() {

		$name = "BACKUP_RESTORE_TITLE_DIS";
		include('./includes/header.php');
		ob_start();
		?>
		<br>
		<div class="panel panel-default" style="max-width:600px; margin:auto;">
			<div class="panel-heading text-center lead">
				<? echo BACKUP_RESTORE_DOWNLOAD_DIS ?>
			</div>
			<div class="panel-body text-center">
				<form name="download" action="misc/files_download.php" method="GET">
					<button type="submit" class="btn btn-default" data-toggle="tooltip" title="<? echo BACK_RES_DOWNLOAD ?>" >
						<? echo BACKUP_RESTORE_DOWNLOAD_LINK_DIS ?>
					</button>
				</form>
			</div>
		</div>
		<br>
		<br>
		<div class="panel panel-default" style="max-width:600px; margin:auto;">
			<div class="panel-heading text-center lead">
				<? echo BACKUP_RESTORE_RESTORE_DIS ?>
			</div>
			<div class="panel-body text-center">
				<form name="upload"  action="misc/upload.php" method="POST" ENCTYPE="multipart/form-data">
					<div class="row">
						<div class="col-lg-2 col-lg-offset-2">
							<input type="file" name="uploadfile" data-toggle="tooltip" title="<? echo BACK_RES_FILE ?>">
						</div>
					</div>
					<br>
					<div class="row text-center">
						<button type="submit" class="btn btn-default" data-toggle="tooltip" title="<? echo BACK_RES_UPLOAD ?>"
								onclick="if (confirm('<? echo BACKUP_RESTORE_CONFIRM_MESSAGE_DIS ?>') == false) {
		                                            return false;
		                                        }">
									<?php echo BUTTON_UPLOAD ?>
						</button>
						&nbsp;&nbsp;
						<input type="reset" class="btn btn-default" value="<? echo BUTTON_RESET ?>" data-toggle="tooltip" title="<? echo BACK_RES_RESET ?>">
					</div>
				</form>
			</div>
		</div>
		<?php
		$ret .= ob_get_clean();

		return $ret;
	}

}
?>
